Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597756 - cifs-utils-4.5-1.fc13 breaks support for credentials file
Summary: cifs-utils-4.5-1.fc13 breaks support for credentials file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cifs-utils
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Layton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-30 11:22 UTC by Thorsten Leemhuis
Modified: 2014-06-18 07:40 UTC (History)
3 users (show)

Fixed In Version: cifs-utils-4.5-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-14 17:12:57 UTC


Attachments (Terms of Use)

Description Thorsten Leemhuis 2010-05-30 11:22:38 UTC
Description of problem:
mount.cifs asks for a password, even when there is a fstab entry which points to a credentials file with username and password. Additionally: The mount even fails, even when the right password is entered at the prompt.

Version-Release number of selected component (if applicable):
cifs-utils-4.5-1.fc13.x86_64
Worked just fine after downgrading to cifs-utils-4.4-3.fc13.x86_64 again

How reproducible:
Always

Steps to Reproduce:
* create a credentials file with something like this:
echo "username=foo"$'\n'"password=bar" > /home/foo/foobar
* create a fstab entry like this:
echo "//server/share /mnt/share cifs user,noauto,exec,cred=/home/foo/foobar"
* run
mount /mnt/share 

Additional info:
I'm running a 2.6.34 kernel on both machines that are affected. Might be part of the problem, but I don't think so

Comment 1 Jeff Layton 2010-05-30 11:41:57 UTC
Thanks for the bug report. I see the bug. I'll get it fixed upstream and then bring it back to Fedora.

Comment 2 Fedora Update System 2010-06-01 20:10:39 UTC
cifs-utils-4.5-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/cifs-utils-4.5-2.fc13

Comment 3 Fedora Update System 2010-06-02 18:14:44 UTC
cifs-utils-4.5-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cifs-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/cifs-utils-4.5-2.fc13

Comment 4 Thorsten Leemhuis 2010-06-05 11:18:31 UTC
Thx, 5.4-2 works fine for me and fixes this bug

/me leaves bug open and assumes that bodhi will close it when the package hits the proper updates repo

Comment 5 Fedora Update System 2010-06-14 17:12:53 UTC
cifs-utils-4.5-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.